GLAURUNG(6)

NAME
glaurung - free UCI chess engine, to calculate chess moves

SYNOPSIS
glaurung

DESCRIPTION
This manual page documents the glaurung command.

glaurung is an UCI chess engine, to calculate chess moves

Opening book

This version of Glaurung has experimental support for PolyGlot opening books. For information about how to create such books, consult the PolyGlot documentation. Currently, Glaurung requires that the book file is named book.bin and is placed in Glaurungs working directory.

More than one CPU

Beginning with version 2-epsilon/3, Glaurung has support for up to four CPUs. Because the program currently cannot automatically detect the number of CPUs on your computer, it uses only a single search thread by default. If your computer has two or more CPUs (this includes dual-core CPUs like the Intel Core Duo or the AMD Athlon 64 X2), you should set the "Threads" UCI parameter to the number of CPUs to obtain optimal performance.

OPTIONS
This program does NOT follow the usual GNU command line syntax, with long options starting with two dashes.

SEE ALSO
Communication with UCI commands is documented by "The UCI Communication Protocol" in /usr/share/doc/glaurung/engine-interface.txt.

AUTHOR
glaurung was written by <Romstad Tord <tord@glaurungchess.com>>.

This manual page was written by Oliver Korff <ok@xynyx.de>, for the Debian project (but may be used by others).